% ELLTANG.M  
%
%  Ellipse  in Standard Form (1.Hauptlage) 
%
%  P = Punkt auf Ellipse, mit Koord. [x_T,y_T]; 
%  a,b, Standard-werte 
% 
%  Gleichung der Tangente  e*x + f*y = h
%
%  function  [e,f,h] = elltang(a,b,P);  
%            or   elltang(a,b,xT,yT);

function   [e,f,h] = elltang(a,b,xT,yT); 

if nargin == 3;   yT = xt(2); xT = xT(1); end; 

e =  b^2 * xT;
f =  a^2 * yT;
h = a^2*b^2;

disp(['Die Tangentengleichung lautet :']); 
disp('etc ...') ;  
