% Epargl.m
% wandelt eine Ebene von Parameter- in Gleichungsform um.
% P....Punkt, v,w.....Vektoren
% nv...Kreuzprodukt
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [N] = Epargl(P,v,w);

function [N] = Epargl(P,v,w);

% Berechnen des Kreuzprodukts mit dem Programm kreuz.m:
[nv]=kreuz(v,w);
d=P'*[nv];
N=[[nv'],d];
G=[num2str(nv(1,1)),' x + ',num2str(nv(2,1)),' y + ',num2str(nv(3,1)),' z = ',num2str(d)];

% Ausgabe der Lsung
disp('Gleichung:');
disp(G);


