% Eplot.m
% stellt Ebenen in einem kartesischen Koordinatensystem im R3 dar
% E: n1*x + n2*y + n3*z = n0
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: Eplot(n1,n2,n3,n0);

function Eplot(n1,n2,n3,n0);

% Berechnung von Datenvektoren fr die eingebaute Plot-Funktion
X=[-5;-5;5;5];Y=[5;-5;-5;5];
for i=1:4
	Z(i,1)=(n0-n1*X(i,1)-n2*Y(i,1))/(n3);
end

% Graphische Ausgabe
d=[0.3 0.2 0.7];      % Farbvektor
fill3(X,Y,Z,d);
plot3(X,Y,Z);
