% pargl.m
% wandelt eine Gerade von  Parameter- in Gleichungsform um.
% P...Punkt,v....Vektor
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [K,D] = pargl(P,v);

function [K,D] = pargl(P,v);

% Berechnung des Normalvektors von k sowie d:
VN = [v(2,1);-v(1,1)];
D=[((VN(1,1)*P(1,1)+VN(2,1)*P(2,1))/VN(2,1))];
K=[(-VN(1,1)/VN(2,1))];

% Formatierte Ausgabe der Geradengleichung
G=[' y = ',num2str(K),' x+ ',num2str(D),''];
disp(G);



