% SOLVQU.M   Sept. 99, HGFei
%
% solve quadratic equaiton   ax^2 + b*x +c = 0  or  x^2 + p*x + q = 0;
%
% Usage: [x1,x2] = solvqu(a,b,c),  resp;         
%        [x1,x2] = solvqu(p,q); 
%

function   [x1,x2] = solvqu(a,b,c);  

if nargin == 2;   p = a;  q = b;  

discr =  ( (p^2/4) - q);   
if discr < 0; disp(' the quadratic equation has only complex roots'); end; 

u = sqrt(discr);
x1 = - p/2 + u;
x2 = - p/2 - u; 

end; 

if nargin == 3; 
  discr =  b^2 - 4*a*c; 
if discr < 0; disp(' the quadratic equation has only complex roots'); end; 
u = sqrt(discr);
x1 = (-b + u)/(2*a);
x2 = (-b - u)/(2*a); 
end; 

