% winkelsym.m 
% berechnet die Winkelsymetrale zweier Vektoren a und b.
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
% 
% Aufruf: c = winksym(a,b);

function c = winksym(a,b);

% Normierung der Vektoren a und b
a = a./norm(a);
b = b./norm(b);

% Berechnung von c als Summe von a und b
c = (a + b)    
