% abstG.m 
% berechnet den Abstand eines Punktes von einer Geraden, wobei die 
% Gerade in der Form AX + By + C = 0 gegeben ist und der Punkte die Koordinaten % x1 und x2 hat. Dabei wird die Hessesche Normalform verwendet.
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: function [d] = abstG(A,B,C,x1,x2)

function [d] = abstG(A,B,C,x1,x2);

% Zuerst stelle ich die Formel fuer die Hessesche Normalform auf und berechne den 
% Abstand
d = (A*x1 + B*x2 + C)/sqrt((A^2+B^2));
antwort =['Der Abstand betraegt ',num2str(d),'.'];
disp(antwort);

% Fr die Ausgabe wandle ich die Normal- in Gleichungsform um
[P,v]=glpar((-(A)/B),(C/B));

% Diese Daten speie ich in das Programm gerplot.m ein
gerplot(P,v);

% Abschlieend zeichne ich noch den Punkt P in das Fenster ein
hold;
plot(x1,x2,'Y*');
