% cossatz.m  HGFei  ,  Sept. 99, from  sss.m (Wenth) 
% Trigonometrie im schiefwinkeligen Dreieck, als Angabe dienen
% die drei Seiten des Dreiecks
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewdhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [winkel1] = cossatz(Seite1,Seite2,Seite3);

function [winkel1] = sss(Seite1,Seite2,Seite3);

% Berechnung von Winkel1 mit Hilfe des Cosinussatzes
winkel1 = acos((Seite1^2-Seite2^2-Seite3^2)/((-2)*Seite2*Seite3));
% Winkel2 = asin(sin(Winkel1)*Seite2/Seite1); 
Winkel1 = winkel1*180/pi;  
x=['Winkel1 = ',num2str(Winkel1),'in Grad, output radians '];disp(x);
