% einheits.m 
% erzeugt Einheitsmatrix der Groesse nxn
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [E] = einheits(n);

function [E] = einheits(n);

% Zuerst wird eine nxn Nullmatrix erzeugt und dann mit Einsen diagonal aufgefllt
E = null(n);
for i=1:n
    E(i,i) = 1;
end

