% Fldchenberechnung eines Dreiecks aus den Lvsungen der Trigonometrie-
% programme, gegeben drei Punkte  P1,P2,P3
%
% Aufruf:  F =  flaeche3(P,Q,R);  
% vgl. flaeche.m 
%  [F] = flaeche(Seite2,Seite3,Winkel1);
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewdhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"

function  [F] = flaeche(P,Q,R);

Seite1 = norm(Q-P); 
Seite2 = norm(P-R);
Seite3 = norm(R-Q);  
Winkel1 = cossatz(Seite1,Seite2,Seite3); 

% Berechnung der Fldche und Umrechnung der Winkel von Grad in Rad
[F] = sin(Winkel1) * Seite2 * Seite3 *.5;

% Ausgabe der Lvsung
antwort = ['Die Flaeche ist  ',num2str(F),' E2.'];
disp(antwort);


