% gerplot.m
% plotet Geraden aus den Angaben von einem Punkt und dem Richtungsvektor
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: gerplot(P,V);

function gerplot(P,V);

% Berechnung der Datenvektoren fr das Plotprogramm
x=[P(1,1)-2*V(1,1),P(1,1)+2*V(1,1)];
y=[P(2,1)-2*V(2,1),P(2,1)+2*V(2,1)];

% Berechnung der Datenvektoren fr die Achsen
x1=[x(1,1), x(1,2)];
y1=[0,0];
x2=[0,0];
y2=[y(1,1),y(1,2)];

% Erzeugung eines neuen Fensters und Grafikausgabe
% der Geraden und der Achsen
figure(1);
plot(x,y);
hold on;
plot(x1,y1,'w')
plot(x2,y2,'w')
hold off;
