% glpar.m 
% wandert eine Gerade von Gleichungs- in Parameterform um.
% y= k*x + d
% k....Steigung
% d....Diskriminante
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [P1,v] = glpar(k,d);

function [P1,v] = glpar(k,d);

% Berechnung von Punkt und Vektor
P1=[1;(k*1+d)];
P2=[2;(k*2+d)];
v=P2-P1;

% Darstellung der Lsung:
disp('Punkt:')
disp(P1)
disp('Vektor:')
disp(v)

% Lsung in anderer Schreibweise
X=['X =   (',num2str(P1(1,1)),') +  t*(',num2str(v(1,1)),')'];
Y=['      (',num2str(P1(2,1)),')      (',num2str(v(2,1)),')'];
disp(X)
disp(Y)

