% winkel.m
% berechnet den Winkel zwischen zwei Vektoren in der Ebenen und auch im Raum.
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
% 
% Aufruf: phi = winkel(a,b);

function phi = winkel(a,b);

% Berechnung von phi
phi = acos(a*b'/(norm(a)*norm(b)));

% Umrechnung in Grad
phi = 180 * phi /pi;  
