
% winkel3.m  von  winkel.m
% berechnet den Winkel zwischen zwei Vektoren in der Ebenen und auch im Raum.
% 
% (c) in 1997 by Andreas M. Wenth
% modifiziert HGFei, Sept. 99    
% "Bearbeitung und Visualisierung ausgewdhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
% 
% Aufruf: phi = winkel3(A,B,C);

function phi = winkel(A,B,C);

% Berechnung von phi 
a = A - B;  b = C - B;  
phi = acos(a*b'/(norm(a)*norm(b)));

% Umrechnung in Grad
phi = 180 * phi /pi;  
 
